﻿@model Model.Company.CompanyModel
@{
    ViewData["Title"] = "CreateCompany";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div id="content">
    <!-- Begin Page Content -->
    <div class="container-fluid">

        <!-- Page Heading -->
        <h1 class="h3 mb-2 text-gray-800">Thêm mới công ty</h1>

        <div class="form-group"></div>
        <form id="CreatePlace" action="#" method="post">
            <div class="col-lg-12 col-xl-8">
                <div class="form-group row">
                    <label class="col-md-12 col-lg-4 label-control">Mã công ty<span class="text-danger">*</span></label>
                    <div class="col-md-12 col-lg-8">
                        <input asp-for="CompanyCode" class="form-control" type="text" placeholder="Nhập mã công ty" />
                        <span asp-validation-for="CompanyCode" class="text-danger"></span>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-md-12 col-lg-4 label-control">Tên công ty<span class="text-danger">*</span></label>
                    <div class="col-md-12 col-lg-8">
                        <input asp-for="CompanyName" class="form-control" type="text" placeholder="Nhập tên công ty" />
                        <span asp-validation-for="CompanyName" class="text-danger"></span>
                    </div>
                </div>
            </div>
        </form>

        <div class="h3 mb-2 row">
            <div class="col-md-12 col-lg-6">
                <a href="@Url.Action("Companies", "Company")" class="btn btn-secondary btn-icon-split">
                    <span class="icon text-white-50">
                        <i class="fas fa-arrow-left"></i>
                    </span>
                    <span class="text">Quay lại</span>
                </a>
                <a class="btn btn-success btn-icon-split" onclick="SaveRole()">
                    <span class="icon text-white-50">
                        <i class="fas fa-check"></i>
                    </span>
                    <span class="text">Tạo mới</span>
                </a>
            </div>
        </div>
    </div>
</div>
<script>
    function SaveRole() {
        var lstIdStr = 'CompanyCode,CompanyName';
        if (!RequireValidate(lstIdStr)) {
            toastr.error('Bạn chưa nhập đủ thông tin.');
            return;
        };

        var formData = new FormData();
        formData.append("CompanyCode", $("#CompanyCode").val());
        formData.append("CompanyName", $("#CompanyName").val());
        formData.append("__RequestVerificationToken", _token);
        postAjax('@Url.Action("InsertCompany")', formData, function (data) {
            if (data.code == "200") {
                setTimeout(
                    function () {
                        location.href = '/danh-sach-cong-ty';
                    }, 1000);
            }
        });
    }
</script>



